Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaqtl.factory
Class MetaQtlAnalysisSummaryFactory

    java.lang.Object
      org.metaqtl.factory.MetaQtlAnalysisSummaryFactory

    public class MetaQtlAnalysisSummaryFactory

extends java.lang.Object

A factory to deal with QTL meta-analysis result.

Constructor Summary
`MetaQtlAnalysisSummaryFactory()`

Method Summary
`static void` | `write(MetaQtlAnalysis analysis, java.io.OutputStream stream)` This method writes out the summary for a givene QTL meta-analysis result `analysis` on the given output stream `stream`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaQtlAnalysisSummaryFactory

    public MetaQtlAnalysisSummaryFactory()

Method Detail

### write

    public static void write(MetaQtlAnalysis analysis,
                             java.io.OutputStream stream)
                      throws java.io.IOException

  This method writes out the summary for a givene QTL meta-analysis result `analysis` on the given output stream `stream`. The user is respondible for closing the `stream`. The output is a tabulated format with the following columns :
  - Chromosome : the name of the chromosome.
  - Trait : the name of the trait or trait group.
  - K : the number of cluster.
  - Log : the log-likelihood of the clustering model.
  - CLog : the complete log-likelihood of the clustering model.
  - AIC : the Akaike criterion.
  - AIC3 : the modified Akaike criteria.
  - ICOMP : the Information Complexity criterion.
  - BIC : the Bayesian Information criterion.
  - AWE : the Average of Weighted Evidence criterion.

  Parameters:
    `analysis` -
    `stream` -
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD